| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
Geom2DInit Class Referencefinal
Geometry

`#include <geom2dinit.h>`

Inheritance diagram for Geom2DInit:
[legend]

## Public Member Functions
| ~Geom2DInit ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static void | Start ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Private Member Functions
| Geom2DInit ()
void | bendPointsReadyCB (CallBacker *)
void | closeQueueCB (CallBacker *)
void | computeBendpointsCB (CallBacker *)
void | computeIntersectionsCB (CallBacker *)
void | geomReadyCB (CallBacker *)
void | readGeomCB (CallBacker *)
void | rootDirChangedCB (CallBacker *)
void | start ()

## Static Private Member Functions
static Geom2DInit & | getInstance ()
static Geom2DInit & | instance ()

## Private Attributes
bool | continue_ = true
Threads::Lock | lock_
int | queueid_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ~Geom2DInit()

Geom2DInit::~Geom2DInit | ( |  | ) |

## ◆ Geom2DInit()

Geom2DInit::Geom2DInit | ( |  | ) |
| private

## Member Function Documentation

## ◆ bendPointsReadyCB()

void Geom2DInit::bendPointsReadyCB | ( | CallBacker * |  | ) |
| private

## ◆ closeQueueCB()

void Geom2DInit::closeQueueCB | ( | CallBacker * |  | ) |
| private

## ◆ computeBendpointsCB()

void Geom2DInit::computeBendpointsCB | ( | CallBacker * |  | ) |
| private

## ◆ computeIntersectionsCB()

void Geom2DInit::computeIntersectionsCB | ( | CallBacker * |  | ) |
| private

## ◆ geomReadyCB()

void Geom2DInit::geomReadyCB | ( | CallBacker * |  | ) |
| private

## ◆ getInstance()

static Geom2DInit & Geom2DInit::getInstance | ( |  | ) |
| inline static private

## ◆ instance()

static Geom2DInit & Geom2DInit::instance | ( |  | ) |
| static private

## ◆ readGeomCB()

void Geom2DInit::readGeomCB | ( | CallBacker * |  | ) |
| private

## ◆ rootDirChangedCB()

void Geom2DInit::rootDirChangedCB | ( | CallBacker * |  | ) |
| private

## ◆ Start()

static void Geom2DInit::Start | ( |  | ) |
| static

## ◆ start()

void Geom2DInit::start | ( |  | ) |
| private

## Member Data Documentation

## ◆ continue_

bool Geom2DInit::continue_ = true
| private

## ◆ lock_

Threads::Lock Geom2DInit::lock_
| private

## ◆ queueid_

int Geom2DInit::queueid_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025